Developers

Updates the Shortcut resource

PATCH
/user/shortcuts/{id}

Updates the Shortcut resource

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

Shortcut identifier

Request Body

The updated Shortcut resource

  1. body
name?string
Lengthlength <= 50
isOpenedInNewTab?boolean

Response Body

Shortcut resource updated

  1. response
id?string
Formatuuid
weight?integer
name?string
Lengthlength <= 50
viewUrl?string
Lengthlength <= 255
isOpenedInNewTab?boolean
Example Request
curl -X PATCH 'https://app.icproject.com/api/instance/demo/user/shortcuts/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "weight": 0,  "name": "string",  "viewUrl": "string",  "isOpenedInNewTab": true}